Create a charge
To charge a credit card or debit card, you create a Charge object. You can retrieve and refund individual charges as well as list all charges.
Request Parameters
Request Body
Body Parameters
Responses
200 Charge created successfully
Returns a Charge object.
400 undefined
401 undefined
Code Samples
- cURL
- Ruby
- Python
- Node.js
curl https://api.omise.co/charges \
-u skey_test_5xuy4w91xqz7d1w9u0t:
require 'omise'
Omise.api_key = 'skey_test_5xuy4w91xqz7d1w9u0t'
createCharge = Omise::Charge.post
import omise
omise.api_secret = 'skey_test_5xuy4w91xqz7d1w9u0t'
createCharge = omise.Charge.post()
const omise = require('omise')({
secretKey: 'skey_test_5xuy4w91xqz7d1w9u0t'
});
const createCharge = await omise.charges.post();
API認証情報
Try it out
Use the interactive form above to test this endpoint.